import { SetMetadata } from '@nestjs/common';

/**
 * Key for the public metadata
 */
export const IS_PUBLIC_KEY = 'isPublic';

/**
 * Decorator to mark a route as public (not requiring authentication)
 * 
 * Usage:
 * - @Public() - Mark a route as public
 */
export const Public = () => SetMetadata(IS_PUBLIC_KEY, true);