import { IsNotEmpty, IsString, IsUUID, IsObject, IsOptional } from 'class-validator';

/**
 * DTO for creating a new group
 */
export class CreateGroupDto {
  /**
   * The name of the group
   */
  @IsNotEmpty()
  @IsString()
  name: string;

  /**
   * The ID of the project this group belongs to
   */
  @IsNotEmpty()
  @IsUUID()
  projectId: string;

  /**
   * Optional metadata for the group
   */
  @IsOptional()
  @IsObject()
  metadata?: Record<string, any>;
}