/**
 * Interface for JWT payload
 */
export interface JwtPayload {
  /**
   * Subject (user ID)
   */
  sub: string;
  
  /**
   * Flag to indicate if this is a refresh token
   */
  isRefreshToken?: boolean;
  
  /**
   * Token issued at timestamp
   */
  iat?: number;
  
  /**
   * Token expiration timestamp
   */
  exp?: number;
}